#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Method-Modifiers
Summary:	Class::Method::Modifiers - provides Moose-like method modifiers
Summary(pl.UTF-8):	Class::Method::Modifiers - modyfikatory metod na kształt Moose
Name:		perl-Class-Method-Modifiers
Version:	2.12
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f55400c7a8134acf3657f8af89bdd7af
URL:		http://search.cpan.org/dist/Class-Method-Modifiers/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-MRO-Compat
BuildRequires:	perl-Test-Exception
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In its most basic form, a method modifier is just a method that calls
$self->SUPER::foo(@_).

Class::Method::Modifiers provides three modifiers: before, around,
and after. before and after are run just before and after the method
they modify, but can not really affect that original method. around
is run in place of the original method, with a hook to easily call
that original method.

%description -l pl.UTF-8
W najprostszej postaci, modyfikator metody to metoda wywołująca
$self->SUPER::foo(@_).

Moduł Class::Method::Modifiers dostarcza trzy modyfikatory: before,
around oraz after. Modyfikatory before oraz after są wywoływane
bezpośrednio przed i bezpośrednio po modyfikowanej metodzie, ale nie
mogą wpływać na oryginalną metodę. Modyfikator around jest wywoływany
zamiast oryginalnej metody z uchwytem do łatwego wywołania tej
oryginalnej metody. 

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Class/Method/Modifiers.pm
%{_mandir}/man3/Class::Method::Modifiers.3pm*
%changelog
* Mon Nov 14 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-Method-Modifiers.git;a=log;h=master

* Mon Nov 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 05408e3
- up to 2.12

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> e41a038
- pl

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c8055f1
- up to 2.11

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 9d2738b
- up to 1.08

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 57ccb6e
- updated to 1.05

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 709d43f
- updated to 1.04
- added polish summary and description

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 742cf54
- updated to 1.02

* Fri Jan 30 2009 radek <radek@pld-linux.org> e6c8a76
- new

